Name:           fdk-aac
Version:        2.0.2
Release:        %mkrel 1
Summary:        Fraunhofer FDK AAC Codec Library
License:        FDK-AAC
Group:          Development/Libraries
URL:            https://github.com/mstorsjo/fdk-aac
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-0.1.5.tar.xz

BuildRequires:  libtool

%description
The Fraunhofer FDK AAC Codec Library ("FDK AAC Codec") is software that
implements the MPEG Advanced Audio Coding ("AAC") encoding and decoding
scheme for digital audio.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

tar xf %{SOURCE1}

%build

%configure2_5x \
  --disable-silent-rules \
  --disable-static

%make_build

cd fdk-aac-0.1.5
autoreconf -fi
%configure2_5x \
  --disable-silent-rules \
  --disable-static
  
%make_build
cd ..


%install

cd fdk-aac-0.1.5
%make_install
rm -f %buildroot/%{_includedir}/fdk-aac/*.h
rm -f %buildroot/%{_libdir}/pkgconfig/%{name}.pc
cd ..

%make_install INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc ChangeLog NOTICE
%{_libdir}/*.so.*

%files devel
%doc documentation/*.pdf
%dir %{_includedir}/fdk-aac
%{_includedir}/fdk-aac/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Feb 01 2023 tex - 2.0.2-1pclos2023
- new version

* Sat Jun 08 2019 tex - 2.0.0-2pclos2019
- rebuild against updates

* Mon Mar 18 2019 tex - 2.0.0-1pclos2019
- new version

* Sun Dec 10 2017 Zen Subz <techars21 at gmail dot com> - 0.1.5-1pclos2017
- Initial build for PCLinuxOS
